@VadnenGG

Почему выходит ошибка в heroku discord.py?

Логи:
2020-10-24T15:54:02.540297+00:00 app[worker.1]: The above exception was the direct cause of the following exception:
2020-10-24T15:54:02.540297+00:00 app[worker.1]: 
2020-10-24T15:54:02.540301+00:00 app[worker.1]: Traceback (most recent call last):
2020-10-24T15:54:02.540301+00:00 app[worker.1]:   File "bot.py", line 136, in <module>
2020-10-24T15:54:02.540517+00:00 app[worker.1]:     ds.run(token)
2020-10-24T15:54:02.540518+00:00 app[worker.1]:   File "/app/.heroku/python/lib/python3.6/site-packages/discord/client.py", line 708, in run
2020-10-24T15:54:02.540925+00:00 app[worker.1]:     return future.result()
2020-10-24T15:54:02.540926+00:00 app[worker.1]:   File "/app/.heroku/python/lib/python3.6/site-packages/discord/client.py", line 687, in runner
2020-10-24T15:54:02.541318+00:00 app[worker.1]:     await self.start(*args, **kwargs)
2020-10-24T15:54:02.541324+00:00 app[worker.1]:   File "/app/.heroku/python/lib/python3.6/site-packages/discord/client.py", line 650, in start
2020-10-24T15:54:02.541665+00:00 app[worker.1]:     await self.login(*args, bot=bot)
2020-10-24T15:54:02.541669+00:00 app[worker.1]:   File "/app/.heroku/python/lib/python3.6/site-packages/discord/client.py", line 499, in login
2020-10-24T15:54:02.541991+00:00 app[worker.1]:     await self.http.static_login(token.strip(), bot=bot)
2020-10-24T15:54:02.541992+00:00 app[worker.1]:   File "/app/.heroku/python/lib/python3.6/site-packages/discord/http.py", line 291, in static_login
2020-10-24T15:54:02.542268+00:00 app[worker.1]:     data = await self.request(Route('GET', '/users/@me'))
2020-10-24T15:54:02.542269+00:00 app[worker.1]:   File "/app/.heroku/python/lib/python3.6/site-packages/discord/http.py", line 185, in request
2020-10-24T15:54:02.542460+00:00 app[worker.1]:     async with self.__session.request(method, url, **kwargs) as r:
2020-10-24T15:54:02.542464+00:00 app[worker.1]:   File "/app/.heroku/python/lib/python3.6/site-packages/aiohttp/client.py", line 1083, in __aenter__
2020-10-24T15:54:02.542951+00:00 app[worker.1]:     self._resp = await self._coro
2020-10-24T15:54:02.542955+00:00 app[worker.1]:   File "/app/.heroku/python/lib/python3.6/site-packages/aiohttp/client.py", line 493, in _request
2020-10-24T15:54:02.543237+00:00 app[worker.1]:     timeout=real_timeout
2020-10-24T15:54:02.543285+00:00 app[worker.1]:   File "/app/.heroku/python/lib/python3.6/site-packages/aiohttp/connector.py", line 528, in connect
2020-10-24T15:54:02.543595+00:00 app[worker.1]:     proto = await self._create_connection(req, traces, timeout)
2020-10-24T15:54:02.543619+00:00 app[worker.1]:   File "/app/.heroku/python/lib/python3.6/site-packages/aiohttp/connector.py", line 869, in _create_connection
2020-10-24T15:54:02.544026+00:00 app[worker.1]:     req, traces, timeout)
2020-10-24T15:54:02.544027+00:00 app[worker.1]:   File "/app/.heroku/python/lib/python3.6/site-packages/aiohttp/connector.py", line 1023, in _create_direct_connection
2020-10-24T15:54:02.544477+00:00 app[worker.1]:     raise last_exc
2020-10-24T15:54:02.544481+00:00 app[worker.1]:   File "/app/.heroku/python/lib/python3.6/site-packages/aiohttp/connector.py", line 1005, in _create_direct_connection
2020-10-24T15:54:02.544951+00:00 app[worker.1]:     req=req, client_error=client_error)
2020-10-24T15:54:02.544951+00:00 app[worker.1]:   File "/app/.heroku/python/lib/python3.6/site-packages/aiohttp/connector.py", line 949, in _wrap_create_connection
2020-10-24T15:54:02.545376+00:00 app[worker.1]:     req.connection_key, exc) from exc
2020-10-24T15:54:02.545480+00:00 app[worker.1]: aiohttp.client_exceptions.ClientConnectorCertificateError: Cannot connect to host discord.com:443 ssl:True [CertificateError: ("hostname '162.159.137.232' doesn't match either of 'ssl764977.cloudflaressl.com', '*.discord.com', 'discord.com'",)]
  • Вопрос задан
  • 39 просмотров
Решения вопроса 1
@MaxKozlov
вот из-за этого
Cannot connect to host discord.com:443 ssl:True [CertificateError: ("hostname '162.159.137.232' doesn't match either of 'ssl764977.cloudflaressl.com', '*.discord.com', 'discord.com'",)]
Ответ написан
Пригласить эксперта
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы